## gtimelog 0.7.0

=== Makefile ===
#
# Options
#

PYTHON = python

#
# Interesting targets
#

.PHONY: all
all:
	@echo "There's nothing that needs building.  Just run ./gtimelog"

.PHONY: check test
check test:
	./runtests

.PHONY: dist
dist:
	$(PYTHON) setup.py sdist

.PHONY: distcheck
distcheck: check dist
	pkg_and_version=`$(PYTHON) setup.py --name`-`$(PYTHON) setup.py --version` && \
	rm -rf tmp && \
	mkdir tmp && \
	bzr export tmp/tree && \
	cd tmp && \
	tar xvzf ../dist/$$pkg_and_version.tar.gz && \
	diff -ur $$pkg_and_version tree -x PKG-INFO -x setup.cfg -x '*.egg-info' && \
	cd $$pkg_and_version && \
	make dist check && \
	cd .. && \
	mkdir one two && \
	cd one && \
	tar xvzf ../../dist/$$pkg_and_version.tar.gz && \
	cd ../two/ && \
	tar xvzf ../$$pkg_and_version/dist/$$pkg_and_version.tar.gz && \
	cd .. && \
	diff -ur one two -x SOURCES.txt && \
	cd .. && \
	rm -rf tmp && \
	echo "sdist seems to be ok"
# I'm ignoring SOURCES.txt since it appears that the second sdist gets a new
# source file, namely, setup.cfg.  Setuptools/distutils black magic, may it rot
# in hell forever.

.PHONY: releasechecklist
releasechecklist:
	@$(PYTHON) setup.py --version | grep -qv dev || { \
	    echo "Please remove the 'dev' suffix from the version number in src/gtimelog/__init__.py"; exit 1; }
	@$(PYTHON) setup.py --long-description | rst2html --exit-status=2 > /dev/null
	@ver_and_date="`$(PYTHON) setup.py --version` (released `date +%Y-%m-%d`)" && \
	    grep -q "^Changes in version $$ver_and_date$$" NEWS.txt || { \
	        echo "NEWS.txt has no entry for $$ver_and_date"; exit 1; }
	# Bit of a chicken-and-egg here, but if the tree is unclean, make
	# distcheck will fail.  Thankfully bzr lets me uncommit.
	@test -z "`bzr status 2>&1`" || { echo; echo "Your working tree is not clean" 1>&2; bzr status; exit 1; }
	make distcheck

.PHONY: release
release: releasechecklist
	# I'm chicken so I won't actually do these things yet
	@echo "Please run"
	@echo
	@echo "  $(PYTHON) setup.py sdist register upload && bzr tag `$(PYTHON) setup.py --version`"
	@echo
	@echo "Please increment the version number in src/gtimelog/__init__.py"
	@echo "and add a new empty entry at the top of NEWS.txt, then"
	@echo
	@echo '  bzr ci -m "Post-release version bump" && bzr push'
	@echo

## gtimelog 0.4.0

=== debian/changelog ===
gtimelog (0.4.0-0ubuntu1) maverick; urgency=low

  * New packaging for new upstream.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 10 Sep 2010 10:12:03 -0400

gtimelog (0.3.3dev-1) unstable; urgency=low

  * source package automatically created by stdeb 0.6.0

 -- Marius Gedminas <marius@gedmin.as>  Thu, 02 Sep 2010 12:28:39 -0400

gtimelog (0.0+svn88-3) unstable; urgency=low

  * Use my debian.org address
  * Depend on python-eggtrayicon in preference to python-gnome2-extras
    (closes: #485317, #418885)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Jun 2008 01:35:56 +0100

gtimelog (0.0+svn88-2) unstable; urgency=low

  * Correctly depend on python-gnome2-extras

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Thu, 20 Mar 2008 21:21:05 +0000

gtimelog (0.0+svn88-1) unstable; urgency=low

  * New maintainers Simon McVittie and Dafydd Harries (closes: #459596)
  * New VCS (moved to collab-maint bzr)
  * Incorporate bigon's changes from Ubuntu into Debian, see below
    - Edit menu entry has an accelerator (closes: #455549)
    - No longer depends on vim-gnome (closes: #438858)
  * Move python and python-support to Build-Depends-Indep (not needed for
    clean)
  * Add debian/pyversions, which python-support wants for versioning (*sigh*)
  * Set XS-Dm-Upload-Allowed: yes so I can upload it

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Thu, 10 Jan 2008 09:22:39 +0000

gtimelog (0.0+svn88-0ubuntu1) hardy; urgency=low

  * New svn snapshot (LP: #124911)
    - add accelerator to the edit menu entry
      (thanks to Kees Cook <kees@ubuntu.com>) (Closes: #455549)
  * Add dpatch magic in debian/patches/01-glade.dpatch and refresh
  * Drop debian/patches/02-gtimelog.dpatch: not needed any more
  * Drop debian/patches/03-wrap_fix.dpatch: merged upstream
  * debian/control:
    - Bump Standards-Version
    - Add Homepage field
    - Add Vcs-Svn field
    - Drop vim-gnome dependency to Suggests (Closes: #438858)
  * Switch to dh_pysupport instead of dh_python

 -- Laurent Bigonville <bigon@ubuntu.com>  Sun, 06 Jan 2008 22:34:47 +0100

gtimelog (0.0+svn65-1debian2) unstable; urgency=low

  * debian/control:
    - Depends on vim-gnome. (Closes: #357826)
    - Set Utnubu Team as Maintainer.
    - Update Standards-Version to 3.7.2.
    - Set debhelper dependency to 5.
    - Add python as Build-Depends.
    - Depends on ${python:Depends} and not python anymore.
  * debian/rules: add dh_python call to replace ${python:Depends}  
  * debian/copyright: license (GPL) disclaimer added.
  * debian/changelog:
    - Replace gdebi word with gtimelog.
  * debian/patches/03-wrap_fix.patch: added to improve the
    activity mail output. Thanks mvo. (Closes: #364916)

 -- Gustavo Franco <stratus@debian.org>  Sat,  8 Jul 2006 21:28:11 -0300

gtimelog (0.0+svn65-1debian1) unstable; urgency=low

  * First Debian release (Closes: #351075)
  * debian/control:
    - Standards-Version bumped up
    - Suggests on gvim and mutt
    - Build-Depends on dpatch added
  * debian/gtimelog.1: manpage added.
  * debian/patches: two patches added (icon handling related)
  
 -- Gustavo Franco <stratus@debian.org>  Thu,  2 Feb 2006 11:32:24 -0200

gtimelog (0.0+svn42-2) hoary; urgency=low

  * Fix double build problem and copyright

 -- Thom May <thom@ubuntu.com>  Wed,  9 Feb 2005 14:33:39 +0000

gtimelog (0.0+svn42-1) hoary; urgency=low

  * First upload.

 -- Thom May <thom@ubuntu.com>  Wed, 09 Feb 2005 13:43:16 +0000

=== debian/control ===
Source: gtimelog
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Simon McVittie <smcv@debian.org>
Uploaders: Gustavo Franco <stratus@debian.org>, Dafydd Harries <daf@debian.org>
Build-Depends: python-setuptools (>= 0.6b3), debhelper (>= 7), python-support (>= 0.8.4)
Standards-Version: 3.9.1
Homepage: http://mg.pov.lt/gtimelog/
Vcs-Bzr: https://code.launchpad.net/~gtimelog-dev/gtimelog/trunk
XS-Python-Version: current

Package: gtimelog
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 1.99.14-1),
         python-glade2, python-eggtrayicon | python-gnome2-extras (<< 2.19.1-1)
Suggests: mutt, vim-gnome
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: A Gtk+ time tracking application
 Time Tracker (a.k.a. gtimelog) provides a time tracking application to allow
 the user to track what they work on during the day and how long they spend
 doing it.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/g/gtimelog/gtimelog-(.+).tar.gz

## gtimelog 0.5.0+bzr185

=== debian/changelog ===
gtimelog (0.5.0+bzr185-0ubuntu3) oneiric; urgency=low

  * Add debian/patches/pango_tab_align: Fix TabAlign constant for current
    Pango.
  * debian/rules: Fix --buildsystem handling to work with current debhelper.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 08 Jul 2011 08:14:37 +0200

gtimelog (0.5.0+bzr185-0ubuntu2) natty; urgency=low

  * Add gi_require_version_api patch: Update require_version() call to current
    pygobject API. Bump python-gobject dependency accordingly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Mar 2011 17:24:17 +0100

gtimelog (0.5.0+bzr185-0ubuntu1) natty; urgency=low

  * New upstream release 0.5.0:
    - Switched from Glade to GtkBuilder.
    - Support Ubuntu's application indicators.
    - Try to detect your theme color and make the tray icon dark or
      bright, for good contrast. (LP: #700428)
    - Made GTimeLog a single instance application.  Requires python-dbus.
      (LP: #356495)
    - New option: start_in_tray.  Defaults to false. (LP: #356495)
    - New command-line option: --tray.
    - Daily reports include totals by category.
    - The tasks pane can be toggled by pressing F9 and has a close button.
    - Alternative weekly and monthly report style.
    - Always preserve the order of entries, even when they have the same
      timestamp (LP: #708825)
  * New upstream snapshot:
    - Ported from PyGTK to GI. This supports GTK 2 and GTK 3 with GI now, but
      still works with PyGTK.
  * Drop debian/patches/setup-datafiles, it doesn't apply any more. Replace it
    with debian/gtimelog.install and debian/gtimelog.manpages.
  * debian/control, debian/rules: Change from pysupport to dh_python2.
  * Drop debian/patches/glade-icon, obsolete now.
  * Add debian/patches/force-gi: We want to use GI now, not gtk2.
  * debian/control: Update dependencies for pygtk → pygi transition, and drop
    obsolete python-glade2 dependency. Also add gir1.2-appindicator-0.1
    dependency to ensure working AppIndicator for Ubuntu.
  * Add debian/patches/fix-appindicator: Fix startup with appindicator.
  * debian/control: Bump python-gobject dependency to ensure that we have
    working PyGI.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Feb 2011 16:20:15 +0100

gtimelog (0.4.0-0ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:04:11 +0000

=== debian/control ===
Source: gtimelog
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Simon McVittie <smcv@debian.org>
Uploaders: Gustavo Franco <stratus@debian.org>, Dafydd Harries <daf@debian.org>
Build-Depends: python-setuptools (>= 0.6b3), debhelper (>= 7), python
Standards-Version: 3.9.1
Homepage: http://mg.pov.lt/gtimelog/
Vcs-Bzr: https://code.launchpad.net/~gtimelog-dev/gtimelog/trunk
XS-Python-Version: current

Package: gtimelog
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gobject (>= 2.27.91),
         gir1.2-pango-1.0, gir1.2-gtk-2.0, gir1.2-appindicator-0.1
Suggests: mutt, vim-gnome
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: A Gtk+ time tracking application
 Time Tracker (a.k.a. gtimelog) provides a time tracking application to allow
 the user to track what they work on during the day and how long they spend
 doing it.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0 at
# Thu, 02 Sep 2010 12:28:39 -0400

# Unset the environment variables set by dpkg-buildpackage. (This is
# necessary because distutils is brittle with compiler/linker flags
# set. Specifically, packages using f2py will break without this.)
unexport CPPFLAGS
unexport CFLAGS
unexport CXXFLAGS
unexport FFLAGS
unexport LDFLAGS

%:
	dh $@ --with=python2

override_dh_auto_build:
	dh_auto_build -Spython_distutils

override_dh_auto_install:
	dh_auto_install -Spython_distutils

## gtimelog 0.7.0

=== debian/changelog ===
gtimelog (0.7.0-0ubuntu2) precise; urgency=low

  * debian/control: Fix dependencies: python-gobject → python-gi.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Mar 2012 19:23:03 +0100

gtimelog (0.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/patches/force-gi: Upstream defaults to gi, so this patch is
    unnecessary.  Removed.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 22 Sep 2011 10:07:52 -0400

gtimelog (0.6.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/patches/gi-fixes: Merged upstream, so removed.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 20 Sep 2011 16:05:52 -0400

gtimelog (0.6.0-0ubuntu1) oneiric; urgency=low

  * debian/watch: Update for new location on Launchpad.
  * New upstream release. Changes since to our bzr snapshot and patches:
    - Ctrl-Q now quits.  (LP: #750092)
    - Fixed UnboundLocalError.  (LP: #778285)
    - Hide the main window on Esc. (LP: #716257)
  * Drop patches which are upstream now:
    - fix-gobject-import
    - fix-appindicator
    - gi_require_version_api
    - pango_tab_align
  * debian/patches/force-gi: Unfuzz.
  * Add debian/patches/gi-fixes: Fix working with current Pango, and missing
    import.
  * debian/control: Bump gir1.2-pango-1.0 dependency to a version with
    unbroken GIR.
  * debian/control: Bump GIR dependencies for GTK 3.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 20 Sep 2011 12:12:26 +0200

gtimelog (0.5.0+bzr185-0ubuntu4) oneiric; urgency=low

  * Add debian/patches/fix-gobject-import: Move from static gobject to GI
    GObject module, to be compatible to upcoming pygobject 3.0.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Aug 2011 07:28:08 +0200

=== debian/control ===
Source: gtimelog
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Simon McVittie <smcv@debian.org>
Uploaders: Gustavo Franco <stratus@debian.org>, Dafydd Harries <daf@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.6.6-3~),
               python-setuptools (>= 0.6b3)
Standards-Version: 3.9.2
Homepage: http://mg.pov.lt/gtimelog/
Vcs-Bzr: https://code.launchpad.net/~gtimelog-dev/gtimelog/trunk
XS-Python-Version: current

Package: gtimelog
Architecture: all
Depends: gir1.2-appindicator3-0.1,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0 (>= 1.29.3+git20110916),
         python-gi,
         ${misc:Depends},
         ${python:Depends}
Suggests: mutt, vim-gnome
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: A Gtk+ time tracking application
 Time Tracker (a.k.a. gtimelog) provides a time tracking application to allow
 the user to track what they work on during the day and how long they spend
 doing it.

=== debian/watch ===
version=3
http://launchpad.net/gtimelog/+download .*/gtimelog-([0-9.]+)\.tar\.gz

## gtimelog 0.7.1

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,11 @@
 .PHONY: check test
 check test:
 	./runtests
+
+.PHONY: clean
+clean:
+	rm -rf temp tmp build gtimelog.egg-info
+	find -name '*.pyc' -delete
 
 .PHONY: dist
 dist:
@@ -51,8 +56,8 @@
 	@$(PYTHON) setup.py --version | grep -qv dev || { \
 	    echo "Please remove the 'dev' suffix from the version number in src/gtimelog/__init__.py"; exit 1; }
 	@$(PYTHON) setup.py --long-description | rst2html --exit-status=2 > /dev/null
-	@ver_and_date="`$(PYTHON) setup.py --version` (released `date +%Y-%m-%d`)" && \
-	    grep -q "^Changes in version $$ver_and_date$$" NEWS.txt || { \
+	@ver_and_date="`$(PYTHON) setup.py --version` (`date +%Y-%m-%d`)" && \
+	    grep -q "^$$ver_and_date$$" NEWS.txt || { \
 	        echo "NEWS.txt has no entry for $$ver_and_date"; exit 1; }
 	# Bit of a chicken-and-egg here, but if the tree is unclean, make
 	# distcheck will fail.  Thankfully bzr lets me uncommit.

=== debian/changelog ===
gtimelog (0.7.1-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Fix reporting problems with non-ASCII characters (LP: #785578)
    - Fix panel background color detection. (LP: #924390)
  * debian/control:
    - replace X[SB]-Python-Version with X-Python-Version
    - remove ${python:Provides}

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 16 Apr 2012 10:53:52 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Standards-Version: 3.9.2
 Homepage: http://mg.pov.lt/gtimelog/
 Vcs-Bzr: https://code.launchpad.net/~gtimelog-dev/gtimelog/trunk
-XS-Python-Version: current
+X-Python-Version: >= 2.4
 
 Package: gtimelog
 Architecture: all
@@ -21,8 +21,6 @@
          ${misc:Depends},
          ${python:Depends}
 Suggests: mutt, vim-gnome
-XB-Python-Version: ${python:Versions}
-Provides: ${python:Provides}
 Description: A Gtk+ time tracking application
  Time Tracker (a.k.a. gtimelog) provides a time tracking application to allow
  the user to track what they work on during the day and how long they spend

## gtimelog 0.8.0

=== debian/changelog ===
gtimelog (0.8.0-0ubuntu1) quantal; urgency=low

  * New upstream release.  (LP: #1050539)
  * Remove debian/patches/bug-1016212.patch as it has been applied upstream.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 13 Sep 2012 14:08:20 -0400

gtimelog (0.7.1-0ubuntu2) quantal; urgency=low

  * Apply upstream patch to work around gobject menu reference counting
    bug.  (LP: #1016212)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 13 Aug 2012 13:30:21 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2

override_dh_auto_build:
	dh_auto_build -Spython_distutils

override_dh_auto_install:
	dh_auto_install -Spython_distutils

## gtimelog 0.9.1

=== Makefile ===
#
# Options
#

PYTHON = python
FILE_WITH_VERSION = src/gtimelog/__init__.py
FILE_WITH_CHANGELOG = NEWS.rst

#
# Interesting targets
#

manpages = gtimelog.1 gtimelogrc.5

.PHONY: all
all: $(manpages)

.PHONY: run
run:
	./gtimelog

.PHONY: check test
check test:
	./runtests

.PHONY: coverage
coverage:
	coverage run ./runtests
	coverage report --include 'src/gtimelog/*'

.PHONY: clean
clean:
	rm -rf temp tmp build gtimelog.egg-info
	find -name '*.pyc' -delete

.PHONY: dist
dist:
	$(PYTHON) setup.py sdist

.PHONY: distcheck
distcheck: check dist
	# Bit of a chicken-and-egg here, but if the tree is unclean, make
	# distcheck will fail.
	@test -z "`git status -s 2>&1`" || { echo; echo "Your working tree is not clean" 1>&2; git status; exit 1; }
	make dist
	pkg_and_version=`$(PYTHON) setup.py --name`-`$(PYTHON) setup.py --version` && \
	rm -rf tmp && \
	mkdir tmp && \
	git archive --format=tar --prefix=tmp/tree/ HEAD | tar -xf - && \
	cd tmp && \
	tar xvzf ../dist/$$pkg_and_version.tar.gz && \
	diff -ur $$pkg_and_version tree -x PKG-INFO -x setup.cfg -x '*.egg-info' && \
	cd $$pkg_and_version && \
	make dist check && \
	cd .. && \
	mkdir one two && \
	cd one && \
	tar xvzf ../../dist/$$pkg_and_version.tar.gz && \
	cd ../two/ && \
	tar xvzf ../$$pkg_and_version/dist/$$pkg_and_version.tar.gz && \
	cd .. && \
	diff -ur one two -x SOURCES.txt && \
	cd .. && \
	rm -rf tmp && \
	echo "sdist seems to be ok"

.PHONY: releasechecklist
releasechecklist:
	@$(PYTHON) setup.py --version | grep -qv dev || { \
	    echo "Please remove the 'dev' suffix from the version number in $(FILE_WITH_VERSION)"; exit 1; }
	@$(PYTHON) setup.py --long-description | rst2html --exit-status=2 > /dev/null
	@ver_and_date="`$(PYTHON) setup.py --version` (`date +%Y-%m-%d`)" && \
	    grep -q "^$$ver_and_date$$" NEWS.rst || { \
	        echo "$(FILE_WITH_CHANGELOG) has no entry for $$ver_and_date"; exit 1; }
	make distcheck

.PHONY: release
release: releasechecklist
	# I'm chicken so I won't actually do these things yet
	@echo "Please run"
	@echo
	@echo "  $(PYTHON) setup.py sdist register upload && git tag `$(PYTHON) setup.py --version`"
	@echo
	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
	@echo "and add a new empty entry at the top of $(FILE_WITH_CHANGELOG), then"
	@echo
	@echo '  git commit -a -m "Post-release version bump" && git push && git push --tags'
	@echo


%.1: %.rst
	rst2man $< > $@

%.5: %.rst
	rst2man $< > $@

=== debian/changelog ===
gtimelog (0.9.1-2) unstable; urgency=medium

  * d/control: Add python3-setuptools to Depends.  Closes: #734499

 -- Barry Warsaw <barry@debian.org>  Tue, 21 Jan 2014 16:31:54 -0500

gtimelog (0.9.1-1) unstable; urgency=low

  [ Marius Gedminas ]
  * gtimelog.desktop: use full icon pathname.  (LP: #1104303)
  * debian/copyright: update upstream author's email.

  [ Barry Warsaw ]
  * New upstream release.
  * debian/compat: Update to v8
  * d/control:
    - Set myself as new Debian maintainer and PAPT as Uploaders for team
      maintenance.
    - Standards-Version 3.9.5 with no other changes.
    - Build-Depend on python3.
    - Update Vcs-* branches.
    - Set X-Python3-Version.
    - Update Depends for Python 3.
  * d/copyright: Updated
  * d/gtimelog.manpages: Updated
  * d/rules:
    - Use --buildsystem=pybuild and --with=python3
    - Use rst2man to process rewritten manpages.
  * d/patches/i18n-setup.patch: Added.

 -- Barry Warsaw <barry@debian.org>  Mon, 23 Dec 2013 15:03:14 -0500

=== debian/control ===
Source: gtimelog
Section: admin
Priority: optional
Maintainer: Barry Warsaw <barry@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python-docutils,
               python3,
               python3-setuptools
Standards-Version: 3.9.5
Homepage: http://mg.pov.lt/gtimelog/
Vcs-Git: https://github.com/gtimelog/gtimelog
X-Python3-Version: >= 3.3

Package: gtimelog
Architecture: all
Depends: gir1.2-appindicator3-0.1,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0 (>= 1.29.3+git20110916),
         python3-gi,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Suggests: mutt, vim-gnome
Description: time logging application
 gtimelog provides a time tracking application to allow the user to track what
 they work on during the day and how long they spend doing it.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_installman:
	mkdir -p debian/tmp
	rst2man gtimelog.rst > debian/tmp/gtimelog.man
	rst2man gtimelogrc.rst > debian/tmp/gtimelogrc.man
	dh_installman

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/g/gtimelog/gtimelog-(.*)\.(?:tar\.gz|zip|tar\.bz2)

## gtimelog 0.9.2

=== debian/changelog ===
gtimelog (0.9.2-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:09:52 +0000

gtimelog (0.9.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #783023)
  * d/control:
    - Bump Standards-Version with no other changes necessary.
    - Bump debhelper Build-Depends to version 9.
  * d/compat: Bump to version 9.
  * d/patches/i18n-setup.patch: Removed; fixed upstream.
  * d/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Thu, 11 Jun 2015 10:44:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: gtimelog
 Section: admin
 Priority: optional
-Maintainer: Barry Warsaw <barry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barry Warsaw <barry@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                python-docutils,
                python3,
                python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mg.pov.lt/gtimelog/
 Vcs-Git: https://github.com/gtimelog/gtimelog
 X-Python3-Version: >= 3.3

## gtimelog 0.10.0

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,14 @@
 
 .PHONY: coverage
 coverage:
-	coverage run ./runtests
-	coverage report --include 'src/gtimelog/*'
+	detox -e coverage,coverage3 -- -p
+	coverage combine
+	coverage report
+
+.PHONY: coverage-diff
+coverage-diff: coverage
+	coverage xml
+	diff-cover coverage.xml
 
 .PHONY: clean
 clean:
@@ -79,7 +85,7 @@
 	# I'm chicken so I won't actually do these things yet
 	@echo "Please run"
 	@echo
-	@echo "  $(PYTHON) setup.py sdist register upload && git tag `$(PYTHON) setup.py --version`"
+	@echo "  rm -rf dist && $(PYTHON) setup.py sdist && twine upload dist/* && git tag `$(PYTHON) setup.py --version`"
 	@echo
 	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
 	@echo "and add a new empty entry at the top of $(FILE_WITH_CHANGELOG), then"

=== debian/changelog ===
gtimelog (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Convert to gbp and move to collab-maint.
    - Uploaders: Remove PAPT until that team switches to git.
    - Vcs-* fields: updated.
  * d/patches/fix-icon-path: No longer needed.  (Closes: #807047)
  * d/patches/unittest-mock.patch: Use stdlib unittest.mock.

 -- Barry Warsaw <barry@debian.org>  Thu, 10 Dec 2015 18:25:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: gtimelog
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barry Warsaw <barry@debian.org>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Barry Warsaw <barry@debian.org>
 Build-Depends: debhelper (>= 9),
                python-docutils,
                python3,
+               python3-freezegun,
                python3-setuptools
 Standards-Version: 3.9.6
 Homepage: http://mg.pov.lt/gtimelog/
-Vcs-Git: https://github.com/gtimelog/gtimelog
+Vcs-Git: git://anonscm.debian.org/collab-maint/gtimelog.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gtimelog.git
 X-Python3-Version: >= 3.3
 
 Package: gtimelog

## gtimelog 0.10.3

=== Makefile ===
--- 
+++ 
@@ -85,7 +85,7 @@
 	# I'm chicken so I won't actually do these things yet
 	@echo "Please run"
 	@echo
-	@echo "  rm -rf dist && $(PYTHON) setup.py sdist && twine upload dist/* && git tag `$(PYTHON) setup.py --version`"
+	@echo "  rm -rf dist && $(PYTHON) setup.py sdist bdist_wheel && twine upload dist/* && git tag `$(PYTHON) setup.py --version`"
 	@echo
 	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
 	@echo "and add a new empty entry at the top of $(FILE_WITH_CHANGELOG), then"

=== debian/changelog ===
gtimelog (0.10.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump Standards-Version with no other changes necessary.

 -- Barry Warsaw <barry@debian.org>  Mon, 24 Oct 2016 12:12:09 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3,
                python3-freezegun,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://mg.pov.lt/gtimelog/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gtimelog.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gtimelog.git

## gtimelog 0.11

=== Makefile ===
--- 
+++ 
@@ -4,19 +4,27 @@
 
 PYTHON = python
 FILE_WITH_VERSION = src/gtimelog/__init__.py
-FILE_WITH_CHANGELOG = NEWS.rst
+FILE_WITH_CHANGELOG = CHANGES.rst
 
 #
 # Interesting targets
 #
 
-manpages = gtimelog.1 gtimelogrc.5
+manpages = gtimelog.1
+po_dir = src/gtimelog/po
+po_files = $(wildcard $(po_dir)/*.po)
+mo_dir = src/gtimelog/locale
+mo_files = $(patsubst $(po_dir)/%.po,$(mo_dir)/%/LC_MESSAGES/gtimelog.mo,$(po_files))
+fallback_ui_files = src/gtimelog/gtimelog-gtk3.10.ui src/gtimelog/preferences-gtk3.10.ui
+schema_dir = src/gtimelog/data
+schema_files = $(schema_dir)/gschemas.compiled
+runtime_files = $(schema_files) $(mo_files) $(fallback_ui_files)
 
 .PHONY: all
-all: $(manpages)
+all: $(manpages) $(runtime_files)
 
 .PHONY: run
-run:
+run: $(runtime_files)
 	./gtimelog
 
 .PHONY: check test
@@ -34,41 +42,66 @@
 	coverage xml
 	diff-cover coverage.xml
 
+.PHONY: update-translations
+update-translations:
+	git config filter.po.clean 'msgcat - --no-location'
+	cd $(po_dir) && intltool-update -g gtimelog -p
+	for po in $(po_files); do msgmerge -U $$po $(po_dir)/gtimelog.pot; done
+
+%-gtk3.10.ui: %.ui
+	sed -e 's/margin_start/margin_left/' \
+	    -e 's/margin_end/margin_right/' \
+	    -e '/property name="max_width_chars"/d' \
+	    -e '/GtkHeaderBar/,$$ s/<property name="position">.*<\/property>//' \
+	    < $< > $@.tmp
+	mv $@.tmp $@
+
+$(mo_dir)/%/LC_MESSAGES/gtimelog.mo: $(po_dir)/%.po
+	@mkdir -p $(@D)
+	msgfmt -o $@ $<
+
+$(schema_files): $(schema_dir)/org.gtimelog.gschema.xml
+	glib-compile-schemas $(schema_dir)
+
 .PHONY: clean
 clean:
-	rm -rf temp tmp build gtimelog.egg-info
+	rm -rf temp tmp build gtimelog.egg-info $(runtime_files) $(mo_dir)
 	find -name '*.pyc' -delete
 
 .PHONY: dist
 dist:
-	$(PYTHON) setup.py sdist
+	$(PYTHON) setup.py -q sdist bdist_wheel
 
 .PHONY: distcheck
 distcheck: check dist
 	# Bit of a chicken-and-egg here, but if the tree is unclean, make
 	# distcheck will fail.
 	@test -z "`git status -s 2>&1`" || { echo; echo "Your working tree is not clean" 1>&2; git status; exit 1; }
-	make dist
-	pkg_and_version=`$(PYTHON) setup.py --name`-`$(PYTHON) setup.py --version` && \
+	@make dist
+	@pkg_and_version=`$(PYTHON) setup.py --name`-`$(PYTHON) setup.py --version` && \
 	rm -rf tmp && \
 	mkdir tmp && \
 	git archive --format=tar --prefix=tmp/tree/ HEAD | tar -xf - && \
 	cd tmp && \
-	tar xvzf ../dist/$$pkg_and_version.tar.gz && \
+	tar xzf ../dist/$$pkg_and_version.tar.gz && \
 	diff -ur $$pkg_and_version tree -x PKG-INFO -x setup.cfg -x '*.egg-info' && \
 	cd $$pkg_and_version && \
 	make dist check && \
 	cd .. && \
 	mkdir one two && \
 	cd one && \
-	tar xvzf ../../dist/$$pkg_and_version.tar.gz && \
+	tar xzf ../../dist/$$pkg_and_version.tar.gz && \
 	cd ../two/ && \
-	tar xvzf ../$$pkg_and_version/dist/$$pkg_and_version.tar.gz && \
+	tar xzf ../$$pkg_and_version/dist/$$pkg_and_version.tar.gz && \
 	cd .. && \
 	diff -ur one two -x SOURCES.txt && \
 	cd .. && \
 	rm -rf tmp && \
-	echo "sdist seems to be ok"
+	echo "sdist seems to be ok" || { echo "sdist check failed"; exit 1; }
+	@pkg_and_version=`$(PYTHON) setup.py --name`-`$(PYTHON) setup.py --version` && \
+	unzip -l dist/$$pkg_and_version-py2.py3-none-any.whl | \
+	grep -q gtimelog.mo && \
+	echo "wheel seems to be ok" || { echo "wheel check failed"; exit 1; }
 
 .PHONY: releasechecklist
 releasechecklist:
@@ -76,7 +109,7 @@
 	    echo "Please remove the 'dev' suffix from the version number in $(FILE_WITH_VERSION)"; exit 1; }
 	@$(PYTHON) setup.py --long-description | rst2html --exit-status=2 > /dev/null
 	@ver_and_date="`$(PYTHON) setup.py --version` (`date +%Y-%m-%d`)" && \
-	    grep -q "^$$ver_and_date$$" NEWS.rst || { \
+	    grep -q "^$$ver_and_date$$" CHANGES.rst || { \
 	        echo "$(FILE_WITH_CHANGELOG) has no entry for $$ver_and_date"; exit 1; }
 	make distcheck

=== debian/changelog ===
gtimelog (0.11-4) unstable; urgency=medium

  * Add gtimelogrc.5, now really (Closes: #891751).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 28 Feb 2018 15:42:37 +0100

gtimelog (0.11-3) unstable; urgency=medium

  * Update the build dependencies for tests (Closes: #891719).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 28 Feb 2018 11:11:02 +0100

gtimelog (0.11-2) unstable; urgency=medium

  * Fix the uploader's address

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 28 Feb 2018 08:20:46 +0100

gtimelog (0.11-1) unstable; urgency=medium

  [ Barry Warsaw ]
  * d/control: Put PAPT in Maintainers and myself in Uploaders.

  [ Andrej Shadura ]
  * Add myself to Uploaders.
  * Move to salsa.debian.org, update Vcs-* fields.
  * Add gbp.conf.
  * Use python3-docutils, not python-docutils, since we're using Python 3.
  * Update the home page.
  * Update debian/docs.
  * Use debhelper compat 11.
  * Refresh the packaging.
  * Drop an old Python 3 patch.
  * Add a patch for gtimelog to find its files again since files are
    not where the upstream expects them.
  * Clean egg-info.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 27 Feb 2018 20:52:41 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_install:
	mkdir -p debian/tmp
	make all
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/gtimelog/gtimelog-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gtimelog 0.11.1

=== Makefile ===
#
# Options
#

PYTHON = python
FILE_WITH_VERSION = src/gtimelog/__init__.py
FILE_WITH_CHANGELOG = CHANGES.rst

#
# Interesting targets
#

manpages = gtimelog.1
po_dir = src/gtimelog/po
po_files = $(wildcard $(po_dir)/*.po)
mo_dir = src/gtimelog/locale
mo_files = $(patsubst $(po_dir)/%.po,$(mo_dir)/%/LC_MESSAGES/gtimelog.mo,$(po_files))
fallback_ui_files = src/gtimelog/gtimelog-gtk3.10.ui src/gtimelog/preferences-gtk3.10.ui
schema_dir = src/gtimelog/data
schema_files = $(schema_dir)/gschemas.compiled
runtime_files = $(schema_files) $(mo_files) $(fallback_ui_files)

.PHONY: all
all: $(manpages) $(runtime_files)

.PHONY: run
run: $(runtime_files)
	./gtimelog

.PHONY: check test
check: test
	desktop-file-validate gtimelog.desktop
	appstream-util validate-relax gtimelog.appdata.xml

test:
	./runtests

.PHONY: coverage
coverage:
	detox -e coverage,coverage3 -- -p
	coverage combine
	coverage report

.PHONY: coverage-diff
coverage-diff: coverage
	coverage xml
	diff-cover coverage.xml

.PHONY: update-translations
update-translations:
	git config filter.po.clean 'msgcat - --no-location'
	cd $(po_dir) && intltool-update -g gtimelog -p
	for po in $(po_files); do msgmerge -U $$po $(po_dir)/gtimelog.pot; done

%-gtk3.10.ui: %.ui
	sed -e 's/margin_start/margin_left/' \
	    -e 's/margin_end/margin_right/' \
	    -e '/property name="max_width_chars"/d' \
	    -e '/GtkHeaderBar/,$$ s/<property name="position">.*<\/property>//' \
	    < $< > $@.tmp
	mv $@.tmp $@

$(mo_dir)/%/LC_MESSAGES/gtimelog.mo: $(po_dir)/%.po
	@mkdir -p $(@D)
	msgfmt -o $@ $<

$(schema_files): $(schema_dir)/org.gtimelog.gschema.xml
	glib-compile-schemas $(schema_dir)

.PHONY: clean
clean:
	rm -rf temp tmp build gtimelog.egg-info $(runtime_files) $(mo_dir)
	find -name '*.pyc' -delete

include release.mk

.PHONY: distcheck
distcheck: distcheck-wheel  # add to the list of checks defined in release.mk

.PHONY: distcheck-wheel
distcheck-wheel:
	@pkg_and_version=`$(PYTHON) setup.py --name`-`$(PYTHON) setup.py --version` && \
	  unzip -l dist/$$pkg_and_version-py2.py3-none-any.whl | \
	  grep -q gtimelog.mo && \
	  echo "wheel seems to be ok"

%.1: %.rst
	rst2man $< > $@

%.5: %.rst
	rst2man $< > $@

=== debian/changelog ===
gtimelog (0.11.1-2ubuntu1) disco; urgency=medium

  * Build-depend on python3-cairo to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 21 Dec 2018 21:02:06 -0500

gtimelog (0.11.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field.
  * d/changelog: Remove trailing whitespaces.
  * d/watch: Use https protocol.

  [ Andrej Shadura ]
  * Don’t suggest mutt.
  * Depend on gir1.2-soup-2.4 (Closes: #911073).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 25 Oct 2018 17:15:14 +0200

gtimelog (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on dh-python.
  * Fix the manpage .so link.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 17 Sep 2018 17:23:34 +0200

gtimelog (0.11-5) unstable; urgency=medium

  * Update debian/copyright (Closes: #891988).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 16 Sep 2018 10:28:45 +0200

=== debian/control ===
Source: gtimelog
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>, Andrej Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-cairo,
               python3-docutils,
               python3-gi,
               python3-freezegun,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: http://gtimelog.org/
Vcs-Git: https://salsa.debian.org/debian/gtimelog.git
Vcs-Browser: https://salsa.debian.org/debian/gtimelog

Package: gtimelog
Architecture: all
Depends: gir1.2-appindicator3-0.1,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0 (>= 1.29.3+git20110916),
         gir1.2-soup-2.4,
         python3-gi,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Suggests: vim-gnome
Description: time logging application
 gtimelog provides a time tracking application to allow the user to track what
 they work on during the day and how long they spend doing it.

## gtimelog 0.11.2

=== Makefile ===
--- 
+++ 
@@ -52,6 +52,25 @@
 	cd $(po_dir) && intltool-update -g gtimelog -p
 	for po in $(po_files); do msgmerge -U $$po $(po_dir)/gtimelog.pot; done
 
+.PHONY: mo-files
+mo-files: $(mo_files)
+
+.PHONY: flatpak
+flatpak:
+	# you may need to install the platform and sdk before this will work
+	# flatpak install flathub org.gnome.Platform//3.30 org.gnome.Sdk//3.30
+	flatpak-builder --force-clean build/flatpak flatpak/org.gtimelog.GTimeLog.yaml
+	# to run it do
+	# flatpak-builder --run build/flatpak flatpak/org.gtimelog.GTimeLog.yaml gtimelog
+
+.PHONY: flatpak-install
+flatpak-install:
+	# you may need to install the platform and sdk before this will work
+	# flatpak install flathub org.gnome.Platform//3.30 org.gnome.Sdk//3.30
+	flatpak-builder --force-clean build/flatpak flatpak/org.gtimelog.GTimeLog.yaml --install --user
+	# to run it do
+	# flatpak run org.gtimelog.GTimeLog
+
 %-gtk3.10.ui: %.ui
 	sed -e 's/margin_start/margin_left/' \
 	    -e 's/margin_end/margin_right/' \

=== debian/changelog ===
gtimelog (0.11.2-1) unstable; urgency=medium

  [ Marius Gedminas ]
  * Remove help files from debian/gtimelog.install (Closes: #914100).

  [ Andrej Shadura ]
  * Remove AppIndicator from dependencies (Closes: #914895).
  * Disable tests (Closes: #912151).
  * Fix the icons locations (Closes: #914095).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 07 Jan 2019 12:39:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: gtimelog
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Barry Warsaw <barry@debian.org>, Andrej Shadura <andrewsh@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
-               python3-cairo,
                python3-docutils,
                python3-gi,
                python3-freezegun,
@@ -19,8 +17,7 @@
 
 Package: gtimelog
 Architecture: all
-Depends: gir1.2-appindicator3-0.1,
-         gir1.2-gtk-3.0,
+Depends: gir1.2-gtk-3.0,
          gir1.2-pango-1.0 (>= 1.29.3+git20110916),
          gir1.2-soup-2.4,
          python3-gi,

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,5 @@
 	mkdir -p debian/tmp
 	make all
 	dh_auto_install --destdir=debian/tmp
+
+override_dh_auto_test:

## gtimelog 0.11.3

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,10 @@
 PYTHON = python
 FILE_WITH_VERSION = src/gtimelog/__init__.py
 FILE_WITH_CHANGELOG = CHANGES.rst
+
+# Let's use the tox-installed coverage because we'll be sure it's there and has
+# the necessary plugins.
+COVERAGE = .tox/coverage/bin/coverage
 
 #
 # Interesting targets
@@ -37,13 +41,13 @@
 
 .PHONY: coverage
 coverage:
-	detox -e coverage,coverage3 -- -p
-	coverage combine
-	coverage report
+	tox -p auto -e coverage,coverage3 -- -p
+	$(COVERAGE) combine
+	$(COVERAGE) report -m --fail-under=100
 
 .PHONY: coverage-diff
 coverage-diff: coverage
-	coverage xml
+	$(COVERAGE) xml
 	diff-cover coverage.xml
 
 .PHONY: update-translations

=== docs/Makefile ===
.PHONY: build
build:
	rm -rf build && mkdir build
	rst2html --stylesheet mg.css --link-stylesheet website.rst build/index.html
	rst2html --stylesheet mg.css --link-stylesheet index.rst build/docs.html
	rst2html --stylesheet mg.css --link-stylesheet formats.rst build/formats.html
	cp gtimelog.png build/gtimelog.png
	cp mg.css build/mg.css

.PHONY: preview
preview:
	# pip install restview
	restview --css mg.css website.rst

=== debian/changelog ===
gtimelog (0.11.3-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.

  [ Antonio Terceiro ]
  * debian/control: fix email address in Uploaders:

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 05 Feb 2021 10:46:28 -0300

gtimelog (0.11.3-1) unstable; urgency=medium

  * New upstream release:
    - Drop no longer necessary patches
    - Overlay a custom paths.py file over the upstream one
  * Populate not-installed, install the icon under the correct name
  * Remove Barry Warsaw from the uploaders.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Bump Standards-Version to 4.5.0.
  * Remove faulty autopkgtest and enable autopkgtest-pkg-python instead.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 23 Sep 2020 12:55:48 +0200

gtimelog (0.11.2-2) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Update the VCS paths (Closes: #946106).

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Replace spaces in short license names with dashes.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.
  * Fix field name typos in debian/copyright.

  [ Andrej Shadura ]
  * Add an autopkgtest.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 23 Sep 2020 10:26:25 +0200

=== debian/control ===
Source: gtimelog
Section: admin
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               dh-python,
               python3-all,
               python3-docutils,
               python3-gi,
               python3-freezegun,
               python3-setuptools,
               python3-cairo (>= 1.11.1)
Standards-Version: 4.5.0
Testsuite: autopkgtest-pkg-python
Homepage: https://gtimelog.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/gtimelog.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/gtimelog

Package: gtimelog
Architecture: all
Depends: gir1.2-gtk-3.0,
         gir1.2-pango-1.0 (>= 1.29.3+git20110916),
         gir1.2-soup-2.4,
         python3-gi,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Suggests: vim-gnome
Description: time logging application
 gtimelog provides a time tracking application to allow the user to track what
 they work on during the day and how long they spend doing it.
